﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication3
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            xamDataGrid1.DataSource = Data.GenerateClass.GenerateStudentData();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            xamDataGrid1.FieldLayouts[0].SortedFields.Add(new Infragistics.Windows.DataPresenter.FieldSortDescription("FirstName", System.ComponentModel.ListSortDirection.Ascending, true));
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            if (xamDataGrid1.Records[0].IsExpanded)
            {
                xamDataGrid1.Records.CollapseAll(true);
            }
            else
            {
                xamDataGrid1.Records.ExpandAll(true);
            }
        }

        private void button3_Click(object sender, RoutedEventArgs e)
        {
            xamDataGrid1.FieldLayouts[0].SortedFields.Add(new Infragistics.Windows.DataPresenter.FieldSortDescription("FirstName", System.ComponentModel.ListSortDirection.Descending, false));
        }
    }
}
